| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
CmdDrive::ListCmdComposer Class Reference
uiCmdDriver

`#include <listcommands.h>`

Inheritance diagram for CmdDrive::ListCmdComposer:
[legend]

## Classes
class | uiListBoxObjClassifier

## Public Member Functions
| ListCmdComposer (CmdRecorder &cmdrec)
bool | accept (const CmdRecEvent &) override
void | init () override
const char * | name () override
void | updateInternalState () override
Public Member Functions inherited from CmdDrive::CmdComposer
| CmdComposer (CmdRecorder &)
| ~CmdComposer ()
bool | done () const
virtual bool | greedy () const
void | objClosed (CallBacker *)
bool | stateUpdateNeeded ()
void | testCB (CallBacker *)
bool | traceSrcWin (CmdRecEvent &) const
virtual bool | tryToFinish ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static CmdComposer * | createInstance (CmdRecorder &cmdrec)
static void | initClass ()
static const char * | keyWord ()
Static Public Member Functions inherited from CmdDrive::CmdComposer
static BufferString | factoryKey (const CallBacker *caller, const char *extrakey=0)
static void | initStandardComposers ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | labelStoredStateNew ()
void | labelStoredStateOld ()
void | reInit ()
void | storeListState ()
void | writeListButton ()
void | writeListClick ()
void | writeListMenu (const CmdRecEvent &)
void | writeListSelect ()
int | writeListSelect (bool differential, bool virtually=false)
void | writeListSelect (int firstidx, int lastidx, int blockstate, bool clear)
Protected Member Functions inherited from CmdDrive::CmdComposer
void | addToEventList (const CmdRecEvent &)
const uiMainWin * | applWin () const
int | eventNameIdx (const BufferStringSet &eventnames, const CmdRecEvent &) const
void | insertWindowCaseExec (const CmdRecEvent &, bool casedep=false) const
void | notDone ()
void | refuseAndQuitDone ()
void | shrinkEventList (int firstnr=1, int lastnr=-1)
void | srcWinClosed (CallBacker *)

## Protected Attributes
TypeSet< int > | checkeditems_
int | clickedidx_
TypeSet< int > | ischeckeditems_
TypeSet< int > | isselecteditems_
bool | leftclicked_
bool | listcmdsflushed_
bool | selchanged_
TypeSet< int > | selecteditems_
int | stagenr_
TypeSet< int > | wascheckeditems_
Protected Attributes inherited from CmdDrive::CmdComposer
BufferStringSet | bursteventnames_
ObjectSet< CmdRecEvent > | eventlist_
bool | ignoreflag_
bool | objclosed_
bool | quitflag_
CmdRecorder & | rec_
TypeSet< int > | refnrstack_
bool | stackwasempty_
bool | updateflag_
BufferStringSet | voideventnames_

## Additional Inherited Members
Static Protected Member Functions inherited from CmdDrive::CmdComposer
static BufferString | createFactoryKey (const Classifier *, const char *keyword)

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ListCmdComposer()

CmdDrive::ListCmdComposer::ListCmdComposer | ( | CmdRecorder & | cmdrec | ) |
| inline

## Member Function Documentation

## ◆ accept()

bool CmdDrive::ListCmdComposer::accept | ( | const CmdRecEvent & |  | ) |
| override virtual

Reimplemented from CmdDrive::CmdComposer.

## ◆ createInstance()

static CmdComposer * CmdDrive::ListCmdComposer::createInstance | ( | CmdRecorder & | cmdrec | ) |
| inline static

## ◆ init()

void CmdDrive::ListCmdComposer::init | ( |  | ) |
| override virtual

Reimplemented from CmdDrive::CmdComposer.

## ◆ initClass()

static void CmdDrive::ListCmdComposer::initClass | ( |  | ) |
| inline static

## ◆ keyWord()

static const char * CmdDrive::ListCmdComposer::keyWord | ( |  | ) |
| inline static

## ◆ labelStoredStateNew()

void CmdDrive::ListCmdComposer::labelStoredStateNew | ( |  | ) |
| protected

## ◆ labelStoredStateOld()

void CmdDrive::ListCmdComposer::labelStoredStateOld | ( |  | ) |
| protected

## ◆ name()

const char * CmdDrive::ListCmdComposer::name | ( |  | ) |
| inline override virtual

Implements CmdDrive::CmdComposer.

## ◆ reInit()

void CmdDrive::ListCmdComposer::reInit | ( |  | ) |
| protected

## ◆ storeListState()

void CmdDrive::ListCmdComposer::storeListState | ( |  | ) |
| protected

## ◆ updateInternalState()

void CmdDrive::ListCmdComposer::updateInternalState | ( |  | ) |
| override virtual

Reimplemented from CmdDrive::CmdComposer.

## ◆ writeListButton()

void CmdDrive::ListCmdComposer::writeListButton | ( |  | ) |
| protected

## ◆ writeListClick()

void CmdDrive::ListCmdComposer::writeListClick | ( |  | ) |
| protected

## ◆ writeListMenu()

void CmdDrive::ListCmdComposer::writeListMenu | ( | const CmdRecEvent & |  | ) |
| protected

## ◆ writeListSelect() [1/3]

void CmdDrive::ListCmdComposer::writeListSelect | ( |  | ) |
| protected

## ◆ writeListSelect() [2/3]

int CmdDrive::ListCmdComposer::writeListSelect | ( | bool | differential,
|  | bool | virtually = false )
| protected

## ◆ writeListSelect() [3/3]

void CmdDrive::ListCmdComposer::writeListSelect | ( | int | firstidx,
|  | int | lastidx,
|  | int | blockstate,
|  | bool | clear )
| protected

## Member Data Documentation

## ◆ checkeditems_

TypeSet<int> CmdDrive::ListCmdComposer::checkeditems_
| protected

## ◆ clickedidx_

int CmdDrive::ListCmdComposer::clickedidx_
| protected

## ◆ ischeckeditems_

TypeSet<int> CmdDrive::ListCmdComposer::ischeckeditems_
| protected

## ◆ isselecteditems_

TypeSet<int> CmdDrive::ListCmdComposer::isselecteditems_
| protected

## ◆ leftclicked_

bool CmdDrive::ListCmdComposer::leftclicked_
| protected

## ◆ listcmdsflushed_

bool CmdDrive::ListCmdComposer::listcmdsflushed_
| protected

## ◆ selchanged_

bool CmdDrive::ListCmdComposer::selchanged_
| protected

## ◆ selecteditems_

TypeSet<int> CmdDrive::ListCmdComposer::selecteditems_
| protected

## ◆ stagenr_

int CmdDrive::ListCmdComposer::stagenr_
| protected

## ◆ wascheckeditems_

TypeSet<int> CmdDrive::ListCmdComposer::wascheckeditems_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025